<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<body style="margin:0px;" bgcolor="#ffffff">
<table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#ffffff">
  <tr>
    <td width="220" valign="top" height="207" >
	<!-- LOGO -->
	<table width="220" height="207" border="0" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
      <tr>
        <td valign="middle" align="center" class="company" height="207"><div style="padding-bottom:1px"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></div><br/><div class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></div></td>
      </tr>
    </table>
	<!-- END LOGO -->
	</td>
    <td width="1" bgcolor="C2C2C2"></td>
    <td valign="top">
	<table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td background="images/bg.jpg" height="207"><div align="right"><img src="images/header.jpg" width="513" height="207"/></div></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="1" bgcolor="#C2C2C2"></td>
    <td height="1" bgcolor="#FFFFFF"></td>
    <td height="1" bgcolor="#FFFFFF"></td>
  </tr>
  <tr>
    <td width="221" valign="top" bgcolor="#D2D1D7" style="padding-top:1px;" height="100%">
	<table width="220" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td valign="top">
		 <!-- MENU -->
		<table width="100%"  border="0" cellspacing="0" cellpadding="0">
<xsl:call-template name="TOP-MENU"/>
        </table>
		 <!-- END MENU -->
		</td>
      </tr>
      <tr>
        <td valign="top" style="padding-top:1px;">
		<!-- SUBMENU -->
		<table width="100%"  border="0" cellspacing="0" cellpadding="0">
<xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
        </table>
		<!-- END SUBMENU -->
		</td>
      </tr>
    </table></td>
    <td valign="top" bgcolor="#C2C2C2"><img src="images/006.gif" width="1" height="61"/></td>
    <td width="100%" height="100%" valign="top"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td height="61" background="images/001.gif"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
             <td height="61" background="images/001_1.gif" class="slogan" style="height:61px;background-repeat:no-repeat;background-position: right top;"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
          </tr>
        </table></td>
      </tr>
	  <tr><td height="1" bgcolor="#FFFFFF"></td>
	  </tr>
      <tr>
        <td valign="top" style="padding:30px" width="100%" height="100%" class="table">
			<!-- CONTENT -->
			<table cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
					<td style="padding-left: 10px;"><img src="images/002.gif" width="17" height="17"/></td>
		  		</tr>
			</table>
			<div style="width:0px; height:25px;"><span></span></div>
	   		<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" >
   		    <tr><td width="100%" height="100%" valign="top" class="pageContent" name="SB_stretch"><xsl:apply-templates select="PAGE-CONTENT"/></td>
   		    </tr></table>
			<!-- END CONTENT -->
		</td>
      </tr>
    </table>	</td>
  </tr>
  <tr bgcolor="#C2C2C2">
    <td  bgcolor="#C2C2C2" height="1"></td>
    <td  bgcolor="#C2C2C2" height="1"></td>
    <td  bgcolor="#C2C2C2" height="1"></td>
  </tr>
  <tr>
    <td colspan="3" class="iconfoot" height="50"><table  border="0" align="center" cellpadding="0" cellspacing="0">
      <tr><!-- BOTTOM MENU -->
<xsl:call-template name="BOTTOM-MENU"/>
        <!-- END BOTTOM MENU -->
	  </tr>
	  
      <tr>
	  <!-- FOOTER --> 
	  <td colspan="12" class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
	  <!-- END FOOTER -->
       </tr>
	   
    </table></td>
  </tr>
</table>
</body>
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
<tr>
<td width="8" style="height:30px;"><img src="images/004.gif"/></td>
<td width="190" background="images/004_1.gif" class="submenu"><span class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
<td width="22" background="images/004_1.gif" class="aa"><img src="images/005.gif"/></td>
</tr>
<tr>
<td height="1" bgcolor="#FFFFFF"></td>
<td bgcolor="#FFFFFF"></td>
<td bgcolor="#FFFFFF"></td>
</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
<tr>
<td width="8" style="height:30px;"><img src="images/004.gif"/></td>
<td width="190" background="images/004_1.gif" class="submenu"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
<td width="22" background="images/004_1.gif" class="aa"><img src="images/005.gif"/></td>
</tr>
<tr>
<td height="1" bgcolor="#FFFFFF"></td>
<td bgcolor="#FFFFFF"></td>
<td bgcolor="#FFFFFF"></td>
</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
        <td class="icon"><img src="images/007.gif" /></td>
        <td class="bmenu"><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
        <td class="icon"><img src="images/007.gif" /></td>
        <td class="bmenu"><span class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
           </xsl:when>
           <xsl:otherwise>
        <td class="icon"><img src="images/007.gif" /></td>
        <td class="bmenu"><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
