<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>

<body MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
<table width="100%" height="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td><table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
      <tr >
        <td height="56" colspan="4" align="right" background="images/menu_bg.gif"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="316" height="56"><img src="images/header_1.jpg"/></td>
            <td>
			 <!-- MENU -->
			<table  border="0" align="right" cellpadding="0" cellspacing="0">
                <tr>
                   <xsl:call-template name="TOP-MENU"/>
                  <td width="10"></td>
                </tr>
            </table>
			 <!-- END MENU -->	
			</td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td width="747" height="183" background="images/header_4.jpg"><div align="left">
          <table width="100%"  border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td width="411" height="183"><img src="images/header_3.jpg"/></td>
              <td width="334"><div align="right"></div>
                  <div align="right">
				   <!-- LOGO -->
                    <table border="0" cellspacing="0" cellpadding="0">
                      <tr>
                        <td><div align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></div></td>
                        <td width="160" class="company" style="padding-left: 20px;padding-right: 20px;">
			<xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/>
			</td>
                      </tr>
                    </table>
					<!-- END LOGO -->
                  </div>
                  <div align="right"></div></td>
            </tr>
          </table>
          </div></td>
        <td width="1" background="images/header_4.jpg"><div align="right"><img src="images/line_1.gif"/></div></td>
        <td width="1" background="images/header_4.jpg" class="line_1"><div align="left"><img src="images/line_1.gif"/></div></td>
        <td width="238" background="images/header_4.jpg">
		<table width="238"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="238" class="slogan" style="padding-left: 30px;padding-right: 30px;"><div align="center"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></div></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td height="100%" width="100%" colspan="2" valign="top" bgcolor="#FFFFFF" style="padding: 30px;">
		 <!-- CONTENT -->
		<table width="100%"  border="0" cellspacing="0" cellpadding="0" class="pageContent">
          <tr>
            <td><table width="100%" border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/> <img src="images/text_header.gif" align="absmiddle"/></td>
              </tr>
            </table>
<table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
	<td class="pageContent" name="SB_stretch" width="100%" valign="top">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table>
          </td></tr>
        </table>
		 <!-- END CONTENT -->
		
		</td>
        <td colspan="2" valign="top" bgcolor="#FFFFFF" class="line_1">
		 <!-- SUBMENU --> 
		
		<table width="202"  border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td width="44" height="33"></td>
            <td width="158" height="33"></td>
          </tr>
          <xsl:call-template name="SUB-MENU">
          <xsl:with-param name="pageID" select="@ID"/>
          </xsl:call-template>
          <tr>
            <td colspan="2" height="32"></td>
          </tr>
        </table>
		 <!-- END SUBMENU -->
		
		</td>
      </tr>
      <tr >
        <td height="54" colspan="4" background="images/bmenu_bg.gif"><div align="center">
         <!-- BOTTOM MENU -->
		  <table  border="0" cellspacing="0" cellpadding="0">
            <tr>
			  <td width="10"></td>
              <xsl:call-template name="BOTTOM-MENU"/>
            </tr>
          </table>
		  <!-- END BOTTOM MENU -->
        </div></td>
        </tr>
      <tr bgcolor="#FFFFFF">
	     <!-- FOOTER -->
        <td height="56" colspan="4"><div align="center"><span class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></span></div></td>
        <!-- END FOOTER -->
	    </tr>
    </table></td>
  </tr>
</table>
</body>

</html>






</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
	        <tr>
            <td height="25" class="icon"><div align="right"><img src="images/sub_bullet.gif"/></div></td>
            <td height="32" class="submenua" style="padding-right:20px;padding-bottom:5px;padding-top:5px"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
          </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
            <tr>
            <td height="25" class="icon"><div align="right"><img src="images/sub_bullet.gif"/></div></td>
            <td height="32" class="submenu" style="padding-right:20px;padding-bottom:5px;padding-top:5px"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
            <tr>
            <td colspan="2"><div style="height:1px; background-color: #D1D1D1; background-repeat: repeat-x;"><span></span></div></td>
           </tr>
	</xsl:if>
</xsl:template>	
<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
             <td class="bmenu"><div align="center"><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>
		 </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
              <td class="bmenua"><div align="center"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></div></td>
		   </xsl:when>
           <xsl:otherwise>
               <td class="bmenu"><div align="center"><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>
		   </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
            <td class="iconfoot"><img src="images/bottom_bullet.gif"/></td>
  		</xsl:if>
</xsl:template>
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
