<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<body style="margin:0px;background-color: #20242D;">
<center>
<table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0" background="images/bg.jpg">
  <tr>
    <td background="images/menubg.jpg"  height="70">
	<table width="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="278" height="70"><img src="images/top.jpg" width="278" height="70" /></td>
        <td height="70" align="center" valign="middle" width="100%" >
		<table height="100%" border="0" cellpadding="0" cellspacing="0">
          <tr>
<xsl:call-template name="TOP-MENU"/>
          </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td background="images/headbg.jpg"  height="178"><table width="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="278" align="center" valign="middle" style="background-image:url(images/lbg.gif);">
		<table width="260" border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td align="center" valign="middle">
<a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a>
			</td>
          </tr>
          <tr>
            <td align="center" class="company">
			<xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
			</td>
          </tr>
          <tr>
            <td align="center" class="slogan">
			<xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/>
			</td>
          </tr>
		  <tr>
		    <td><img src="images/spacer.gif" width="278" height="5" /></td>
		  </tr>
        </table></td>
        <td width="100%"  height="178"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td height="178" style="background-image: url(images/header.jpg);
	background-repeat: no-repeat;
	background-position: left bottom;"></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="48"><table width="100%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="278" rowspan="2" height="48" ><img src="images/headbt1.jpg" width="278" height="48" /></td>
        <td align="left" valign="top"  width="100%"><img src="images/headbt2.jpg" width="502" height="10" /></td>
      </tr>
      <tr>
        <td background="images/bg.jpg"><table border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
</td>
            <td width="21"><img src="images/maincollet.jpg" width="21" height="38" /></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td width="100%" height="100%" style="background-image: url(images/bgline.jpg);
	background-repeat: repeat-x;
	background-position: top;"><table width="100%" border="0" cellspacing="0" cellpadding="0" height="100%" >
      <tr>
        <td width="254" height="15"><img src="images/blank.gif" width="254" height="15" /></td>
        <td width="5" rowspan="2" background="images/vhr.jpg"><img src="images/vhr.jpg" width="5" height="24" /></td>
        <td width="20" rowspan="2" valign="top" background="images/bg.jpg" ><img src="images/blank.gif" width="20" height="1" /></td>
        <td width="100%" height="100%" rowspan="2" align="left" valign="top" background="images/bg.jpg" style="padding-right: 30px; padding-bottom: 30px;">
	   <table width="100%" height="100%"><tr><td width="100%" height="100%" valign="top" class="pageContent" name="SB_stretch">
	     <xsl:apply-templates select="PAGE-CONTENT"/></td>
	   </tr></table>
</td>
      </tr>
      <tr>
        <td width="254" align="center" valign="top">
		<table width="171" border="0" cellpadding="0" cellspacing="0">
<xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
        </table></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="51" align="center" valign="middle" background="images/btmenubg.jpg" bgcolor="#2A2C1E">
	<table border="0" cellpadding="0" cellspacing="0">
      <tr>
<xsl:call-template name="BOTTOM-MENU"/>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="51" align="center" valign="middle" class="footer">
	<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
	</td>
  </tr>
</table>
</center>
</body>

	</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
          <tr>
            <td width="19"><img src="images/submenubullet.jpg" width="8" height="13" /></td>
            <td width="152" align="left" class="asubmenu" style="padding-top: 10px; padding-bottom: 10px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
          </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
          <tr>
            <td width="19"><img src="images/submenubullet.jpg" width="8" height="13" /></td>
            <td width="152" align="left" class="submenu" style="padding-top: 10px; padding-bottom: 10px;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
          </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
          <tr>
            <td colspan="2" background="images/submenuhr.jpg"><img src="images/submenuhr.jpg" width="173" height="5" /></td>
          </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
        <td><img src="images/btmenubullet.jpg" width="14" height="9" /></td>
        <td align="left" class="bmenu"><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
        <td><img src="images/btmenubullet.jpg" width="14" height="9" /></td>
        <td align="left" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
           </xsl:when>
           <xsl:otherwise>
        <td><img src="images/btmenubullet.jpg" width="14" height="9" /></td>
        <td align="left" class="bmenu"><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
        <td><img src="images/btmenuhr.jpg" width="18" height="24" /></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
