<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<body MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td rowspan="2" background="images/logo_bg.gif" width="210">		
		  <!-- LOGO -->
		<table width="210"  border="0" cellspacing="0" cellpadding="0" align="center">
          <tr>
            <td width="210" height="52"><div align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></div></td>
          </tr>
          <tr>
            <td height="23" class="company"><div align="center" ><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></div></td>
          </tr>
		   <tr>
            <td height="1"><img src="images/space.gif" width="210" height="1" /></td>
          </tr>
        </table>
		 <!-- END LOGO -->
		</td>
        <td width="1" rowspan="2"><img src="images/line.gif"/></td>
      <td height="74" background="images/logo_bg_2.gif" width="100%">
	  <table width="100%"  border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td height="68" background="images/logo_bg_2.gif" class="slogan" style="padding-left:35px;">
              <div align="left"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></div>
          </td>
        </tr>
      </table>
	  </td>
      </tr>
      <tr>        
	    <td height="37" background="images/menu_bg.gif">
		   <!-- MENU -->
		  <table  border="0" align="left" cellpadding="0" cellspacing="0">
			<tr>
			  <td width="20"></td>
			  <td class="icon_1"><img src="images/bullet.gif"/></td>
			   <xsl:call-template name="TOP-MENU"/>
			</tr>
		  </table>
		 <!-- END MENU --> 
	  </td>
      </tr>
      <tr>
        <td valign="top" background="images/ground.gif" class="line_submenu" height="100%">        
		  <table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td background="images/line_1.gif" height="3"></td>
          </tr>
        </table>
         <!-- SUBMENU -->
		  <table width="146" border="0" align="center" cellpadding="0" cellspacing="0">
          <tr>
            <td width="11%" height="20"></td>
            <td width="89%"></td>
          </tr>
          <xsl:call-template name="SUB-MENU">
          <xsl:with-param name="pageID" select="@ID"/>
          </xsl:call-template>
        </table>
		  <!-- END SUBMENU -->
		</td>
        <td colspan="2" valign="top" background="images/ground.gif" height="100%">
		<table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td background="images/header_2.jpg"><img src="images/header_1.jpg"/></td>
          </tr>
        </table>
		 <!-- CONTENT -->
          <table width="100%" border="0" cellpadding="0" cellspacing="0" class="pageContent">
            <tr>
              <td height="156" valign="top" style="padding: 30px;">
                <table width="100%" border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/><img src="images/text_header.gif" align="absmiddle"/></td>
                  </tr>
                </table>
<table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
	<td class="pageContent" name="SB_stretch" width="100%" valign="top">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table>
           </td> </tr>
          </table>
		   <!-- END CONTENT -->
		  </td>
      </tr>
      <tr >
        <td height="40" colspan="3" background="images/bmeun_bg.gif">
		 <!-- BOTTOM MENU -->
		<table  border="0" align="center" cellpadding="0" cellspacing="0">
          <tr>
            <td width="20"></td>
			<td class="iconleft"><img src="images/bmenu_bullet.gif"/></td>
             <xsl:call-template name="BOTTOM-MENU"/>
          </tr>
        </table>
		 <!-- END BOTTOM MENU -->
		
		</td>
        </tr>
      <tr >
	   <!-- FOOTER -->
        <td height="31" colspan="3" background="images/ground.gif"><div align="center" class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div></td>
         <!-- END FOOTER -->
		</tr>
    </table>
</body>
</html>



</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
	       <tr>
            <td class="iconleft"><div align="left"><img src="images/submenu_bullet.gif"/></div></td>
            <td height="32" class="smenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
          </tr>  
			
                    
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
            <tr>
            <td height="32" class="iconleft"><div align="left"><img src="images/submenu_bullet.gif"/></div></td>
            <td class="smenu"><a href="{@HREF}" class="smenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
          </tr> 
			 
			 
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
               <tr >
            <td colspan="2" height="1" background="images/submenu_line.gif" ></td>
            </tr>
	</xsl:if>
</xsl:template>	
<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
             <td class="bmenu" style="padding-right:15px;"><div align="left"><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>

		 </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
            <td class="bmenua" style="padding-right:15px;"><div align="left"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></div></td>
		   </xsl:when>
           <xsl:otherwise>
             <td class="bmenu" style="padding-right:15px;"><div align="left"><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>
		   </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
            <td class="iconfoot"><img src="images/bmenu_bullet.gif"/></td>
  		</xsl:if>
</xsl:template>
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
