<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>



<body MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td valign="top"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
      <tr>
        <td width="40" valign="top">
		<table width="40"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="40" height="187" background="images/header_bg.gif"></td>
          </tr>
          <tr>
            <td width="40" height="49" background="images/menu_bg.gif"></td>
          </tr>
        </table>
		</td>
        <td width="198" valign="top" background="images/submenu_bg.gif">
		<!-- SUBMENU -->		
		<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td background="images/header_bg.gif">
					<table width="198" height="163"  border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td width="198" height="163" background="images/header_2.jpg" style="background-position:right;background-repeat:no-repeat">
			  <!-- LOGO -->
			<table width="198"  border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td width="198"><div align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></div></td>
              </tr>
              <tr>
                <td class="company"><div align="center"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></div></td>
              </tr>
            </table>
			 <!-- END LOGO -->			</td>
          </tr>
        </table>		 
</td>
          </tr>
          <tr>
            <td height="100%" class="line_submenu" valign="top">
					<table width="196"  border="0" cellpadding="0" cellspacing="0">
              <xsl:call-template name="SUB-MENU">
              <xsl:with-param name="pageID" select="@ID"/>
              </xsl:call-template>
        </table><br/>		        
</td>
          </tr>
        </table>
		<!-- END SUBMENU -->          </td>
        <td valign="top"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
          <td colspan="2" valign="bottom" background="images/header_3.jpg">
		  <table width="100%"  border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td height="187" valign="bottom" background="images/header_1.jpg" class="slogan" style="background-repeat:no-repeat;padding-bottom: 45px;padding-right: 35px;"><div align="right"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></div></td>
            </tr>
          </table>
		  
		  </td>
          </tr>
          <tr>
            <td height="49" colspan="2" background="images/menu_bg.gif" align="left" style="padding-left:10px">
			  <!-- MENU -->
			<table  border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td width="10"></td>
                <td class="icon"><img src="images/bullet.gif"/></td>
                 <xsl:call-template name="TOP-MENU"/>
              </tr>
            </table>
			 <!-- END MENU --> 
			</td>
          </tr>
        </table>
         <!-- CONTENT -->
		  <table width="100%"  border="0" cellpadding="0" cellspacing="0" class="pageContent">
            <tr>
              <td width="100%" style="padding: 30px;">
			  <table width="100%" border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/> <img src="images/text_header.gif" align="absmiddle"/></td>
                  </tr>
                </table>
<table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr>
	<td class="pageContent" name="SB_stretch" width="100%" valign="top">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table>
				                  </td>
            </tr>
          </table>
		     <!-- END CONTENT -->		  </td>
      </tr>
      <tr >
        <td height="63" colspan="3" background="images/bmeun_bg.gif"><table width="100%" height="63"  border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td valign="middle">
              <!-- BOTTOM MENU -->
              <table  border="0" align="center" cellpadding="0" cellspacing="0">
                <tr>
                  <td width="20"></td>
                 <xsl:call-template name="BOTTOM-MENU"/>
                  <td width="20"></td>
                </tr>
              </table>
              <!-- END BOTTOM MENU -->
            </td>
          </tr>
          <tr>
            <!-- FOOTER -->
            <td><div align="center" class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div></td>
            <!-- END FOOTER -->
          </tr>
        </table></td>
      </tr>
    </table>	  </td>
  </tr>
</table>
</body>
</html>









</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
	      <tr>
              <td width="20" height="37" bgcolor="#AEAEAE"><div align="center"><img src="images/submenu_bullet.gif"/></div></td>
              <td width="178" bgcolor="C3C3C3" class="smenua" style="padding-left: 15px;"><div align="left"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></div></td>
            </tr>
			
             <tr>
              <td colspan="2"><div style="height:1px; background-color: #CBCBCB; background-repeat: repeat-x;"><span></span></div></td>
              </tr>
                    
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
            <tr>
              <td width="20" height="37"  bgcolor="#AEAEAE"><div align="center"><img src="images/submenu_bullet.gif"/></div></td>
              <td width="178" class="smenu" style="padding-left: 15px;"><div align="left"><a href="{@HREF}" class="smenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>
            </tr>
			 
             <tr>
              <td colspan="2"><div style="height:1px; background-color: #CBCBCB; background-repeat: repeat-x;"><span></span></div></td>
              </tr>
			 
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
	</xsl:if>
</xsl:template>	
<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
         <td class="bmenu" style="padding-right: 15px;padding-left: 15px;"><div align="center" ><img src="images/bmenu_bullet.gif"/><br/><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>

		 </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
          <td class="bmenua" style="padding-right: 15px;padding-left: 15px;"><div align="center"><img src="images/bmenu_bullet.gif"/><br/><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></div></td>

		   </xsl:when>
           <xsl:otherwise>
             <td class="bmenu" style="padding-right: 15px;padding-left: 15px;"><div align="center" ><img src="images/bmenu_bullet.gif"/><br/><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></div></td>
			
		   </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
		  <td></td>
  		</xsl:if>
</xsl:template>
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>

