<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<!--start-->
<body style="margin:0px;background-image: url('images/main_bg.gif');background-repeat: repeat;">
<table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0" style="background-image: url('images/main_bg.gif');background-repeat: repeat;">
  <tr>
    <td width="4" rowspan="4"><div style="height:60px;width:60px;"></div></td>
    <td height="172">
	<table width="100%" height="172" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="180" align="center"><!-- LOGO -->
                              <table cellpadding="0" cellspacing="0">
                        <tr>
                          <td align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a>
</td>
                        </tr>
                        <tr>
                          <td align="center" valign="top" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/>
</td>
                        </tr>
                      </table>
          <!-- END LOGO --><div style="height:1px;width:180px;"></div></td>
        <td align="center">
		<table height="172" border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td valign="top" style="background-image: url('images/header.jpg'); background-position: left; background-repeat: no-repeat;"><div style="height:100px;width:443px;"></div>
              <table width="100%" border="0" cellspacing="0" cellpadding="0">
                <tr>
                  <td width="370"><div style="height:72px;width:370px;"></div></td>
                  <td align="left" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/>
</td>
                </tr>
              </table></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
    <td width="4" rowspan="4"><div style="height:60px;width:60px;"></div></td>
  </tr>
  <tr>
    <td style="background-image: url('images/menu_botbg.gif');background-repeat: repeat;">
	<table width="100%" height="40" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td align="left" style="background-image: url('images/menu_bg.gif');background-position: left top;background-repeat: repeat-x;"><!-- MENU -->
          <table height="40" cellpadding="0" cellspacing="0">
            <tr>
<xsl:call-template name="TOP-MENU"/>
            </tr>
          </table>
          <!-- END MENU --></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td width="100%" height="100%">
	<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" style="background-image: url('images/txt_bg.gif');background-repeat: repeat;">
      <tr>
        <td width="12" height="12"><img src="images/txt_topleftbg.gif"/></td>
        <td height="12" style="background-image: url('images/line1.gif');background-repeat: repeat-x;"></td>
        <td width="23" height="12"><img src="images/txt_topmiddlebg.gif"/></td>
        <td width="165" height="12" style="background-image: url('images/line1.gif');background-repeat: repeat-x;"></td>
        <td width="12" height="12"><img src="images/txt_toprightbg.gif"/></td>
      </tr>
      <tr>
        <td width="12" style="background-image: url('images/line2.gif');background-repeat: repeat-y;"></td>
        <td width="100%" height="100%" valign="top"><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
            <tr>
              <td height="100%" valign="top" class="pageContent" style="padding:20px;"><!-- CONTENT -->
                  <table cellpadding="0" cellspacing="0" border="0">
                    <tr>
                      <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
</td>
                      <td class="text-header"><img src="images/txtheader_bullet.gif" hspace="17"/></td>
                    </tr>
                  </table>
                <table height="100%" border="0" cellpadding="0" cellspacing="0">
<tr>
	<td height="100%" valign="top" class="pageContent" name="SB_stretch" style="padding-top:20px;">
	<xsl:apply-templates select="PAGE-CONTENT"/>
	</td>
</tr>
</table>
                <!-- END CONTENT --></td>
            </tr>
        </table></td>
        <td width="23" style="background-image: url('images/main_line.gif');background-repeat: repeat-y;"></td>
        <td width="165" valign="top"><!-- SUBMENU -->
<table cellpadding="0" cellspacing="0" width="165">
<xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
</table>
          <!-- END SUBMENU --><div style="height:10px;width:165px;"></div></td>
        <td width="12" style="background-image: url('images/line4.gif');background-repeat: repeat-y;"></td>
      </tr>
      <tr>
        <td width="12" height="12"><img src="images/txt_botleftbg.gif"/></td>
        <td height="12" style="background-image: url('images/line3.gif');background-repeat: repeat-x;"></td>
        <td width="23" height="12"><img src="images/txt_botmiddlebg.gif"/></td>
        <td width="150" height="12" style="background-image: url('images/line3.gif');background-repeat: repeat-x;"></td>
        <td width="12" height="12"><img src="images/txt_botrightbg.gif"/></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td align="center"><div style="height:15px;width:780px;"></div><!-- BOTTOM MENU -->
						<table cellpadding="0" cellspacing="0" align="center">
							<tr>
<xsl:call-template name="BOTTOM-MENU"/>
						    </tr>
	  </table>
						<!-- END BOOTTOM MENU -->
						<div style="width:780px; height:10px;"><span></span></div>
						<!-- FOOTER -->
						<div align="center" class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
</div>
	<!-- END FOOTER --><div style="height:15px;width:px;"></div></td>
  </tr>
</table>
</body>
<!--end-->
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
<tr>
<td style="padding-left: 5px; align:left;"><span  class="submenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
<td class="iconleft" style="width: 10px;"><img src="images/submenu_bullet.gif" alt="" border="0"/></td>
</tr>
		</xsl:when>
		<xsl:otherwise>
		<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
<tr>
<td style="padding-left: 5px; align:left;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
<td class="iconleft" style="width: 10px;"><img src="images/submenu_bullet.gif" alt="" border="0"/></td>
</tr>
		</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
<tr>
<td colspan="2" height="1"><div  style="height:1px;background-image: url('images/submenu_line.gif');background-repeat: repeat;"><span></span></div></td>
</tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >

<td valign="middle" class="iconfoot"><img src="images/botmenu_bullet.gif" alt="" /></td>
<td valign="middle"><a href='{@HREF}'  class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>

	   </xsl:when>

           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >

<td valign="middle" class="iconfoot"><img src="images/botmenu_bullet.gif" alt="" /></td>
<td valign="middle" class="abmenu"><span class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>

           </xsl:when>
           <xsl:otherwise>

<td valign="middle" class="iconfoot"><img src="images/botmenu_bullet.gif" alt="" /></td>
<td valign="middle"><a href='{@HREF}'  class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>

	   </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
